org.apache.lucene.analysis

## Class MockPayloadAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.apache.lucene.analysis.MockPayloadAnalyzer

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class MockPayloadAnalyzer
    extends Analyzer

Wraps a whitespace tokenizer with a filter that sets the first token, and odd tokens to posinc=1, and all others to 0, encoding the position as pos: XXX in the payload.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

`Analyzer.GlobalReuseStrategy, Analyzer.PerFieldReuseStrategy, Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

### Constructor Summary

Constructors
Constructor and Description
`MockPayloadAnalyzer()`

### Method Summary

Methods
`Analyzer.TokenStreamComponents` `createComponents(String fieldName, Reader reader)`

### Methods inherited from class org.apache.lucene.analysis.Analyzer

`close, getOffsetGap, getPositionIncrementGap, initReader, tokenStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MockPayloadAnalyzer

    public MockPayloadAnalyzer()

### Method Detail

#### createComponents

    public Analyzer.TokenStreamComponents createComponents(String fieldName,
                                                  Reader reader)

Specified by:
  `createComponents` in class `Analyzer`